MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000076WolfAdminCommandspublic2017-01-30 21:122017-03-08 11:25
ReporterNinjadeer 
Assigned ToTimo 
PrioritynormalSeverityminorReproducibilitysometimes
StatusacknowledgedResolutionopen 
PlatformOSOS Version
Product Version 
Target VersionFixed in Version 
Summary0000076: Nextmap vote
DescriptionIf the map voting (g_gamemode 6) and special vote flag (g_mapVoteFlags 16) are enabled on NQ server a passed nextmap vote should start the intermission instead of server starting the next map in rotation.
For some reason this doesn't seem to be the case always, and sometimes either nothing happens, intermission is started or nextmap is executed. Most often nothing happens.
Probably this could be fixed with some future version of WolfAdmin?
TagsNo tags attached.
ModNoQuarter
Mod version1.2.9
Standaloneno
Attached Files

- Relationships

-  Notes
(0000094)
leroy04 (reporter)
2017-02-05 13:29

This might be fixed if you change the workaround of nextmap vote. Instead of calling 'nextmap', should make a timelimit reduction (similar to !endmap custom command, that sets timelimit to 0.1 or 0.5), so the map will always finish by timelimit hit, and go always to intermission.
(0000095)
Timo (administrator)
2017-02-05 16:57

Actually I am not sure if I can fix this. This seems more of a mod-related issue, as I cannot alter the code of the nextmap vote with WolfAdmin. Instead, the mod authors should change the nextmap vote in this special case to some endmap vote, as leroy04 suggested.
(0000099)
Ninjadeer (reporter)
2017-03-06 19:28

If the original NQ function can't be fixed, probably a new very similar functionality can be added to WA, which just happens to work unlike the one in NQ.
(0000100)
Timo (administrator)
2017-03-08 11:24
edited on: 2017-03-08 11:25

I have looked into the ETLegacy and NoQuarter sources and it should work fine in most cases. However, nextmap vote does not work in case you are in 1) intermission or 2) warmup. Basically, nextmap vote will redirect to intermission only when you are actually playing the map. I'll leave the endmap command discussion open for now, as I do not really see the benefit of this (feel free to implement it yourself though).


- Issue History
Date Modified Username Field Change
2017-01-30 21:12 Ninjadeer New Issue
2017-02-01 14:39 Timo Assigned To => Timo
2017-02-01 14:39 Timo Status new => acknowledged
2017-02-05 13:29 leroy04 Note Added: 0000094
2017-02-05 16:57 Timo Note Added: 0000095
2017-03-06 19:28 Ninjadeer Note Added: 0000099
2017-03-08 11:24 Timo Note Added: 0000100
2017-03-08 11:25 Timo Note Edited: 0000100 View Revisions


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker